MyGUI 3.2.2

Data Structures | Namespaces | Macros | Functions
MyGUI_UString.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Types.h"`
`#include <iterator>`
`#include <string>`
`#include <stdexcept>`

Go to the source code of this file.

## Data Structures
class | MyGUI::UString
| A UTF-16 string with implicit conversion to/from std::string and std::wstring. More...
class | MyGUI::UString::invalid_data
| This exception is used when invalid data streams are encountered. More...
class | MyGUI::UString::_base_iterator
| base iterator class for UString More...
class | MyGUI::UString::_fwd_iterator
| forward iterator for UString More...
class | MyGUI::UString::_const_fwd_iterator
| const forward iterator for UString More...
class | MyGUI::UString::_rev_iterator
| forward iterator for UString More...
class | MyGUI::UString::_const_rev_iterator
| const reverse iterator for UString More...

## Namespaces
| MyGUI

## Macros
#define | MYGUI_IS_NATIVE_WCHAR_T 1

## Functions
UString::size_type | MyGUI::operator- (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator== (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator!= (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator< (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator<= (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator> (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
bool | MyGUI::operator>= (const UString::_const_fwd_iterator &left, const UString::_const_fwd_iterator &right)
UString::size_type | MyGUI::operator- (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator== (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator!= (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator< (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator<= (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator> (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)
bool | MyGUI::operator>= (const UString::_const_rev_iterator &left, const UString::_const_rev_iterator &right)

## Macro Definition Documentation

## ◆ MYGUI_IS_NATIVE_WCHAR_T

#define MYGUI_IS_NATIVE_WCHAR_T 1

Definition at line 138 of file MyGUI_UString.h.